import {Title} from "./components/Title";
import {AboutMe} from "./components/AboutMe";
import {Contact} from "./components/Contact";
import {Footer} from "./components/Footer";
import {Jobs} from "./components/Jobs";
import {Skills} from "./components/Skills";
import {fetchJobs} from "./fetch";
import {JobsProvider} from "./context/JobsContext";
import {use} from "react";

export default function Page() {

	const jobs = use(fetchJobs())

	return (
		<>
			<div style={{maxWidth: 1000}} className="flex flex-col gap-y-16 md:w-4/5 mx-auto p-4 mb-20">
				<Title />
				<AboutMe />
				<Contact />
				<JobsProvider jobs={jobs ?? []}>
					<Skills />
					<Jobs />
				</JobsProvider>
				<Footer />
			</div>
		</>
	)
}